# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('device_id', models.CharField(db_index=True, verbose_name='Device ID', max_length=64, help_text='Uniq identifier from this device')),
                ('is_active', models.BooleanField(verbose_name='Is active', default=True)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('created_ip', models.GenericIPAddressField(verbose_name='Created from IP')),
                ('modified', models.DateTimeField(verbose_name='Last modified at', auto_now=True)),
                ('modified_ip', models.GenericIPAddressField(verbose_name='Last modified from IP')),
                ('version', models.CharField(verbose_name='App version', max_length=16)),
                ('type', models.CharField(help_text='Type of device e.g. Phone, Tablet, Laptop, Workstation and Server', verbose_name='Type', max_length=32)),
                ('os', models.CharField(help_text='E.g. Windows, Mac, Linux, Android, iOS, ...', verbose_name='OS', max_length=32)),
                ('os_version', models.CharField(blank=True, verbose_name='OS version', max_length=32, default='')),
                ('brand', models.CharField(blank=True, verbose_name='Brand', max_length=64, default='')),
                ('model', models.CharField(blank=True, verbose_name='Model', max_length=64, default='')),
                ('manufacture', models.CharField(blank=True, verbose_name='Manufacture', max_length=64, default='')),
                ('rooted', models.NullBooleanField(verbose_name='Is device rooted')),
                ('cpu', models.CharField(blank=True, verbose_name='CPU info', max_length=128, default='')),
                ('additions_info', models.TextField(blank=True, default='')),
                ('user', models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Device',
                'verbose_name_plural': 'Devices',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='DeviceSessionKey',
            fields=[
                ('session_key', models.CharField(primary_key=True, verbose_name='Session key', max_length=40, serialize=False)),
                ('expire_date', models.DateTimeField(db_index=True, verbose_name='Expiry date')),
                ('is_active', models.BooleanField(verbose_name='Is active', default=True)),
                ('last_activity', models.DateTimeField(verbose_name='Last activity at', auto_now=True)),
                ('device', models.ForeignKey(to='database_auth.Device', verbose_name='Device')),
                ('user', models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Session',
                'verbose_name_plural': 'Sessions',
            },
            bases=(models.Model,),
        ),
    ]
