# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('database_auth', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='DeviceGroup',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('name', models.TextField()),
                ('description', models.TextField(null=True)),
            ],
            options={
                'verbose_name': 'Device Group',
            },
            bases=(models.Model,),
        ),
        migrations.RemoveField(
            model_name='device',
            name='additions_info',
        ),
        migrations.RemoveField(
            model_name='device',
            name='brand',
        ),
        migrations.RemoveField(
            model_name='device',
            name='cpu',
        ),
        migrations.RemoveField(
            model_name='device',
            name='manufacture',
        ),
        migrations.RemoveField(
            model_name='device',
            name='rooted',
        ),
        migrations.RemoveField(
            model_name='device',
            name='type',
        ),
        migrations.RemoveField(
            model_name='device',
            name='version',
        ),
        migrations.AddField(
            model_name='device',
            name='app_version',
            field=models.TextField(blank=True, default='', verbose_name='App version'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='device',
            name='board',
            field=models.TextField(blank=True, default='', verbose_name='Board'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='device',
            name='firmware_version',
            field=models.TextField(blank=True, default='', verbose_name='Firmware version'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='device',
            name='group',
            field=models.ForeignKey(to='database_auth.DeviceGroup', null=True),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='device',
            name='manufacturer',
            field=models.TextField(blank=True, default='', verbose_name='Manufacture'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='device',
            name='platform',
            field=models.TextField(blank=True, default=''),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='device',
            name='model',
            field=models.TextField(blank=True, default='', verbose_name='Model'),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='device',
            name='os',
            field=models.TextField(blank=True, help_text='E.g. Windows, Mac, Linux, Android, iOS, ...', default='', verbose_name='OS'),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='device',
            name='os_version',
            field=models.TextField(blank=True, default='', verbose_name='OS version'),
            preserve_default=True,
        ),
    ]
