# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BTCResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('values', models.CommaSeparatedIntegerField(null=True, max_length=1024)),
                ('min', models.IntegerField(null=True)),
                ('avg', models.IntegerField(null=True)),
                ('max', models.IntegerField(null=True)),
                ('stdev', models.IntegerField(null=True)),
            ],
            options={
                'abstract': False,
                'verbose_name': 'BTC Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='DnsLookupResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('record_id', models.CharField(null=True, max_length=64)),
                ('name', models.TextField(null=True)),
                ('ttl', models.IntegerField(null=True)),
                ('value', models.TextField(null=True)),
                ('type', models.TextField(null=True)),
            ],
            options={
                'abstract': False,
                'verbose_name': 'DNS Lookup Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='HTTPDownloadResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('actual_num_threads', models.SmallIntegerField(null=True)),
                ('results_ok', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
                'verbose_name': 'HTTP Download Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='HTTPThreadResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('min', models.FloatField(null=True)),
                ('max', models.IntegerField(null=True)),
                ('avg', models.FloatField(null=True)),
                ('slots', models.CommaSeparatedIntegerField(null=True, max_length=1024)),
                ('http_download', models.ForeignKey(to='database_repository.HTTPDownloadResult')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'HTTP Thread Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='LocalInformation',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('available_disk_space', models.BigIntegerField(null=True)),
                ('battery_level', models.SmallIntegerField(null=True)),
                ('connection_mode', models.SmallIntegerField(null=True)),
                ('cpu_usage', models.FloatField(null=True)),
                ('free_memory', models.IntegerField(null=True)),
                ('signal_strength', models.SmallIntegerField(null=True)),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Local Information',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='PacketTrainsResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('sending_speed', models.IntegerField(null=True)),
                ('receiving_speed', models.IntegerField(null=True)),
                ('post_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_packettrainsresult_post')),
                ('pre_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_packettrainsresult_pre')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Packet Trains Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='PingResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('round_trip_ms', models.CommaSeparatedIntegerField(null=True, max_length=1024)),
                ('round_trip_min', models.FloatField(null=True)),
                ('round_trip_max', models.FloatField(null=True)),
                ('round_trip_avg', models.FloatField(null=True)),
                ('round_trip_stdev', models.FloatField(null=True)),
                ('round_trip_count', models.IntegerField(null=True)),
                ('post_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_pingresult_post')),
                ('pre_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_pingresult_pre')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Ping Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('user', models.CharField(blank=True, max_length=64)),
                ('device', models.CharField(blank=True, max_length=64)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('created_ip', models.GenericIPAddressField()),
                ('task_id', models.IntegerField()),
                ('app_version', models.TextField()),
                ('report_time', models.DateTimeField()),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='ReverseDnsLookupResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('hostname', models.TextField(null=True)),
                ('address', models.TextField(null=True)),
                ('post_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_reversednslookupresult_post')),
                ('pre_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_reversednslookupresult_pre')),
                ('report', models.ForeignKey(to='database_repository.Report')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Reverse DNS Lookup Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='TracerouteHopPingResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('rtt_us', models.IntegerField(null=True)),
                ('response', models.IntegerField(null=True)),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Traceroute Hop Ping Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='TracerouteHopResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('ip', models.GenericIPAddressField(null=True)),
                ('ttl', models.IntegerField(null=True)),
                ('rtt_min', models.FloatField(null=True)),
                ('rtt_max', models.FloatField(null=True)),
                ('rtt_avg', models.FloatField(null=True)),
                ('rtt_stdev', models.FloatField(null=True)),
                ('rtt_count', models.IntegerField(null=True)),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Traceroute Hop Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='TracerouteResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('hop_count', models.SmallIntegerField(null=True)),
                ('post_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_tracerouteresult_post')),
                ('pre_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_tracerouteresult_pre')),
                ('report', models.ForeignKey(to='database_repository.Report')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Traceroute Result',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='UPnPResult',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('start_time', models.DateTimeField(null=True)),
                ('end_time', models.DateTimeField(null=True)),
                ('duration', models.IntegerField(null=True)),
                ('measure_uuid', models.TextField(null=True)),
                ('conflicting_tasks', models.TextField(null=True)),
                ('cross_traffic', models.TextField(null=True)),
                ('error', models.TextField(null=True)),
                ('data', models.TextField()),
                ('post_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_upnpresult_post')),
                ('pre_info', models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_upnpresult_pre')),
                ('report', models.ForeignKey(to='database_repository.Report')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'UPnP Result',
            },
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name='traceroutehopresult',
            name='traceroute',
            field=models.ForeignKey(to='database_repository.TracerouteResult'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='traceroutehoppingresult',
            name='hop',
            field=models.ForeignKey(to='database_repository.TracerouteHopResult'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='pingresult',
            name='report',
            field=models.ForeignKey(to='database_repository.Report'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='packettrainsresult',
            name='report',
            field=models.ForeignKey(to='database_repository.Report'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='httpdownloadresult',
            name='post_info',
            field=models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_httpdownloadresult_post'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='httpdownloadresult',
            name='pre_info',
            field=models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_httpdownloadresult_pre'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='httpdownloadresult',
            name='report',
            field=models.ForeignKey(to='database_repository.Report'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='dnslookupresult',
            name='post_info',
            field=models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_dnslookupresult_post'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='dnslookupresult',
            name='pre_info',
            field=models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_dnslookupresult_pre'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='dnslookupresult',
            name='report',
            field=models.ForeignKey(to='database_repository.Report'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='btcresult',
            name='post_info',
            field=models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_btcresult_post'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='btcresult',
            name='pre_info',
            field=models.ForeignKey(to='database_repository.LocalInformation', related_name='database_repository_btcresult_pre'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='btcresult',
            name='report',
            field=models.ForeignKey(to='database_repository.Report'),
            preserve_default=True,
        ),
    ]
