from django.contrib import admin

from .models import *


class BaseAdmin(admin.ModelAdmin):
    list_display = ("name",)
    list_filter = ("created", "modified")


class ChannelAdmin(admin.ModelAdmin):
    list_filter = ("created", "modified", "target")


class TimingAdmin(admin.ModelAdmin):
    list_filter = ("created", "modified")


class PreconditionAdmin(admin.ModelAdmin):
    list_display = ("name",)
    list_display_links = ("name",)

    list_filter = ("created", "modified")


class TaskAdmin(admin.ModelAdmin):
    list_filter = ("created", "modified")


class ScheduleAdmin(admin.ModelAdmin):
    list_filter = ("created", "modified")


# Register your models here.
admin.site.register(Channel, ChannelAdmin)
admin.site.register(Timing, BaseAdmin)
admin.site.register(TimingPeriodic, BaseAdmin)
admin.site.register(TimingCalendar, BaseAdmin)
admin.site.register(TimingOneOff, BaseAdmin)
admin.site.register(TimingImmediate, BaseAdmin)
admin.site.register(TimingOnDemand, BaseAdmin)
admin.site.register(ClientPrecondition, PreconditionAdmin)
admin.site.register(Qualification, BaseAdmin)
admin.site.register(TaskOption, TaskAdmin)
admin.site.register(TaskOptionPing, TaskAdmin)
admin.site.register(TaskOptionBTC, TaskAdmin)
admin.site.register(TaskOptionHttpDownload, TaskAdmin)
admin.site.register(TaskOptionTraceroute, TaskAdmin)
admin.site.register(TaskOptionPacketTrains, TaskAdmin)
admin.site.register(TaskOptionUPnP, TaskAdmin)
admin.site.register(TaskOptionDnsLookup, TaskAdmin)
admin.site.register(TaskOptionReverseDnsLookup, TaskAdmin)
admin.site.register(Task, TaskAdmin)
admin.site.register(Schedule, ScheduleAdmin)
admin.site.register(Configuration, BaseAdmin)
