# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('database_supervisor', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Qualification',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('is_android', models.NullBooleanField(default=True)),
                ('is_ios', models.NullBooleanField(default=True)),
                ('is_windows', models.NullBooleanField(default=True)),
                ('is_unix', models.NullBooleanField(default=True)),
                ('is_mac', models.NullBooleanField(default=True)),
                ('asn', models.TextField(blank=True, null=True)),
                ('country', models.TextField(blank=True, null=True)),
                ('group', models.IntegerField(blank=True, null=True)),
                ('created_by', models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Qualification',
                'abstract': False,
            },
            bases=(models.Model,),
        ),
        migrations.RemoveField(
            model_name='deviceprecondition',
            name='created_by',
        ),
        migrations.DeleteModel(
            name='DevicePrecondition',
        ),
        migrations.AddField(
            model_name='schedule',
            name='qualification',
            field=models.ForeignKey(to='database_supervisor.Qualification', verbose_name='Qualification', blank=True, null=True),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='schedule',
            name='precondition',
            field=models.ForeignKey(to='database_supervisor.ClientPrecondition', verbose_name='Client Precondition', null=True),
            preserve_default=True,
        ),
    ]
